Run of lintian-fixes for amap-align

Try this locally (using the lintian-brush package):

debcheckout amap-align
cd amap-align
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/amap-align lintian-fixes/main

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 137f91f..d68a1cb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+amap-align (2.2+git20080214.600fc29+dfsg-2) UNRELEASED; urgency=medium
+
+  * Trim trailing whitespace.
+  * Wrap long lines in changelog entries: 2.0-2.
+  * Bump debhelper from old 11 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Refer to specific version of license GPL-2+.
+  * Set upstream metadata fields: Bug-Database, Bug-Submit.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 24 Apr 2020 05:16:40 +0000
+
 amap-align (2.2+git20080214.600fc29+dfsg-1) unstable; urgency=medium
 
   [Steffen Moeller]
@@ -132,7 +143,8 @@ amap-align (2.0-3) unstable; urgency=low
 amap-align (2.0-2) unstable; urgency=low
 
   * Added Subversion repository URL to debian/control.
-  * Patched for building with gcc-4.3. Many thanks to Martin Michlmayr (Closes:413477)
+  * Patched for building with gcc-4.3. Many thanks to Martin Michlmayr
+    (Closes:413477)
   * Renamed /usr/bin/amap-align to /usr/bin/amap, providing a wrapper for
     compatibility.
   * Included /usr/share/dpatch/dpatch.make in debian/rules.
@@ -146,4 +158,3 @@ amap-align (2.0-1) unstable; urgency=low
   * Initial release Closes: #366321
 
  -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun,  9 Jul 2006 12:53:25 +0900
-
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index b4de394..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-11
diff --git a/debian/control b/debian/control
index 833d427..1fe91a3 100644
--- a/debian/control
+++ b/debian/control
@@ -4,7 +4,7 @@ Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/med-team/amap-align
 Vcs-Git: https://salsa.debian.org/med-team/amap-align.git
diff --git a/debian/copyright b/debian/copyright
index f08347b..e6acdf4 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -26,7 +26,7 @@ License: GPL-2+
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  .
  On Debian systems, the complete text of the GNU General Public
- License can be found in `/usr/share/common-licenses/GPL'.
+ License can be found in `/usr/share/common-licenses/GPL-2'.
 
 License: PD
  The current version of AMAP uses the PROBCONS 1.09 code base for some of the
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
index ca057c1..0f9999c 100644
--- a/debian/upstream/metadata
+++ b/debian/upstream/metadata
@@ -1,3 +1,5 @@
+Bug-Database: https://github.com/mes5k/amap-align/issues
+Bug-Submit: https://github.com/mes5k/amap-align/issues/new
 Reference:
   Author: Ariel S. Schwartz and Lior Pachter
   Title: Multiple alignment by sequence annealing

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/44/613c50f3f85440311bc61d71188bcd24ea8e7f.debug
-rwxr-xr-x  root/root   /usr/share/doc/amap-align/examples/BB12020.tfa.out

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/b2/3e5b6274816f6e6cfed1d8d4c6aa8093ad1cd0.debug
-rw-r--r--  root/root   /usr/share/doc/amap-align/examples/BB12020.tfa.out.gz

No differences were encountered between the control files of package amap-align

Control files of package amap-align-dbgsym: lines which differ (wdiff format)

  • Build-Ids: b23e5b6274816f6e6cfed1d8d4c6aa8093ad1cd0 44613c50f3f85440311bc61d71188bcd24ea8e7f

Publish History

  • 2021-03-15T20:47: Failed to create merge proposal: merge-conflict (merge would conflict (upstream changes?))
  • 2021-03-15T19:26: Failed to create merge proposal: merge-conflict (merge would conflict (upstream changes?))

Full worker log Full build log